CMAX: [Version 1.0 (6/22/93)]
CMAX: ----------------------------------------------------
CMAX: Transformation of PRPTLY from prptly.f
CMAX: ----------------------------------------------------
      SUBROUTINE prptly
C  PRINT A REPORT OF THE NUMBER AND TYPE OF OBSERVTIONS READ
      INTEGER MXQOBS
      PARAMETER (MXQOBS = 200)
      INTEGER K
      INTEGER L
      LOGICAL STRAT, SLP, FDCOS, FEXP, SAVEAE, SIGDAT
      CHARACTER * 8 DATANAME, OBSNAME
      CHARACTER * 44 alldata
      LOGICAL QOBS, OFFLEV
      COMMON / CONTRL / IM, JNP, NB, NDALT, NHMS, NLAY, NLAYM1, NLAYP1, 
     &NYMD, STRAT, IDIMEN, SLP, FDCOS, FEXP, SAVEAE, SIGDAT, MAXREP
      COMMON / DATTAB / NOBS (MXQOBS, 5)
      COMMON / obs / maxdex, nfgge, lun, hh (13, 13, 20),
     &vcoroe (18, 18, 4), obserr (200, 4, 19), ww (13, 13, 20),
     &qobs (200, 5), offlev (200)
      common / obschar / dataname (5), obsname(200)
!hpf$ distribute hh(block,block,block)
!hpf$ distribute nobs(block,block)
!hpf$ distribute obserr(block,block,block)
!hpf$ distribute offlev(block)
!hpf$ distribute qobs(block,block)
!hpf$ distribute vcoroe(block,block,block)
!hpf$ distribute ww(block,block,block)
      WRITE( alldata,'(44(" "))' ) 
C  PRINT HEADING
      WRITE( 6,'(//,t40,"--- DATA TYPE SUMMARY ",2i8," ---",/     ,t20,"
     & NOTE: Tally includes only observations used in",     " analysis."
     &,/)' ) nymd,nhms
      WRITE( 6,1000 ) 
      DO 7000 k = 1 , maxdex
        IF (qobs(k,1)) THEN
          alldata(1:8) = dataname(1)
        ENDIF
        IF (qobs(k,2)) THEN
          alldata(10:17) = dataname(2)
        ENDIF
        IF (qobs(k,3)) THEN
          alldata(19:26) = dataname(3)
        ENDIF
        IF (qobs(k,4)) THEN
          alldata(28:35) = dataname(4)
        ENDIF
        IF (qobs(k,5)) THEN
          alldata(37:44) = dataname(5)
        ENDIF
 7000 CONTINUE
      DO k = 1 , maxdex
        WRITE( 6,'(t5,a8,t15,i7,t25,i7,t35,i7,t45,i7,t55,i7,        t65,
     &a44)' ) obsname(k),(nobs(k,l),l = 1,5),alldata
      ENDDO
      RETURN
1000  FORMAT (t5,'Data',t15,'Surface',t25,'Surface',t49,'Upper Air',/,t5
     &,'Type',t14,'Pressure',t26,'Wind',t34,'Humidity',t46,'Height',t57,
     &'Wind',t82,'Dataset(s)',/,t5,'----',t14,'--------',t26,'----',t34,
     &'--------',t46,'------',t57,'----',t65,44('-'))
      END
